﻿Imports System.Collections.ObjectModel
Imports System.ComponentModel
Imports System.Data
Imports System.Data.OleDb
Imports System.Windows.Data

Public Enum WorkCenter : Kart : Cortini_1 : Cortini_2 : Cortini_3 : Tour_Haas : Mac : Fraiseuse : Compression : End Enum

Public Class UrgentOrder
   Public Shared MockData As New ObservableCollection(Of UrgentOrder) From {
      New UrgentOrder(WorkCenter.Cortini_1, 9338054, "CTBB 25,400  (1'')  G10  SNCB5", "bla-bla-Bla", #1/26/2018#) With {.ArticleNbr = 12214367, .NbrPieces = 250},
      New UrgentOrder(WorkCenter.Kart, 9338073, "CTBB 28,570  (1 1/8'')  G10  SNCB5", "Nouveau délais", #1/26/2018#) With {.ArticleNbr = 12214382, .NbrPieces = 250},
      New UrgentOrder(WorkCenter.Cortini_2, 9392592, "Keramik-Walze 5667-5-082603 SNC1", "8 anneaux à livrer", #12/12/2018#) With {.ArticleNbr = 12240356, .NbrPieces = 8},
      New UrgentOrder(WorkCenter.Cortini_1, 9416729, "SAPA PRECISION TUBING n.v. ", "Sliptechink", #12/24/2018#) With {.ArticleNbr = 12172036, .NbrPieces = 4},
      New UrgentOrder(WorkCenter.Cortini_2, 9423407, "WNGX 080416TN-020D-C (98291) roh CTN3105", "Annullé", #1/23/2018#) With {.ArticleNbr = 12170685, .NbrPieces = 240},
      New UrgentOrder(WorkCenter.Kart, 9414089, "CTBB 10,500  EGO  SNCB5", "Billes Fritsch, encore 2 partielles à livrer", #1/19/2018#) With {.ArticleNbr = 6291400, .NbrPieces = 525},
      New UrgentOrder(WorkCenter.Cortini_3, 9445522, "SNNX 120716TN-020D-C roh  CTN3105", "Passer en rohling", #3/16/2018#) With {.ArticleNbr = 12170682, .NbrPieces = 800}}

   Public Sub New(workCenter As WorkCenter, orderNr%, matDescript$, remIpc$, confirmDate As Date)
      Wkc = workCenter : OrderNbr = orderNr : MaterialDescription = matDescript : RemarquesIPC = remIpc : DateConfirm = confirmDate
   End Sub

   Public Property OrderNbr As Integer
   Public Property ArticleNbr As Integer
   Public Property NbrPieces As Integer
   Public Property MaterialDescription As String
   Public Property RemarquesIPC As String
   Public Property DateConfirm As Date
   Public Property Wkc As WorkCenter
   Public Property Customer As String

End Class

Public Class WorkCenterTour

   Public Shared ReadOnly MockData As New ObservableCollection(Of WorkCenterTour)

   Shared Sub New()
      For Each enm As WorkCenter In [Enum].GetValues(GetType(WorkCenter))
         MockData.Add(New WorkCenterTour(enm))
      Next
   End Sub
   Public Sub New(wc As WorkCenter)
      Me.WC = wc
      TourView = New ListCollectionView(UrgentOrder.MockData) With {.Filter = Function(obj As Object) CType(obj, UrgentOrder).Wkc = wc}
   End Sub
   Public Property WC As WorkCenter
   Public Property TourView As ListCollectionView

End Class